<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of sisotool module
 * Copyright (C) 2016 - INRIA - Serge Steer
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * For more information, see the COPYING file which you should have received
 * along with this program.
-->
<refentry xml:id="sim_horizon" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>sim_horizon</refname>

    <refpurpose>computes final time and discretization step for step
    responses.</refpurpose>
  </refnamediv>

  <refsection>
    <title>Synopsis</title>

    <synopsis>[tfinal,dt] = sim_horizon(H,tfinal,Ts) </synopsis>
  </refsection>

  <refsection>
    <title>Arguments</title>

    <variablelist>
      <varlistentry>
        <term>H</term>

        <listitem>
          <para>A linear dynamical system.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>tfinal</term>

        <listitem>
          <para>Final time (s).</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>Ts</term>

        <listitem>
          <para>Discretisation period (s) for continuous time system.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>dt</term>

        <listitem>
          <para>Discretisation period (s).</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>Computes the final time and the discretization period for time
    responses.</para>
  </refsection>
</refentry>
